/**
 * @brief           AG903 Common
 * @author          AXELL CORPORATION
 * @description     ライブラリ共通処理
 * @note            none
 * @history         2017_02_22  初版
 * @history         2017_10_26  Ver2.0
 */
/* DOM-IGNORE-BEGIN */
/*
* This program was created by AXELL CORPORATION.
* Copyright (C) 2017 AXELL CORPORATION, all rights reserved.
*/
/* DOM-IGNORE-END */

/**
 * @brief           AG903ライブラリ用のassert
 * @param           [in] cond 条件式
 * @description     condが0の場合は、動作を停止します
 * @note            NDEBUGが定義されている場合は処理なし
 */
void AG903_assert(int cond)
{
	if(cond == 0)
	{
		while(1);
	}
}

